- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IBroadcastEventReceiver
IButtonControl
INamingContainer
IPageStatePersister
IPostBackDataHandler
IPostBackEventHandler
ISurroundable
ITemplate
ITheme
IValidatable
IValidator
TBroadcastEventParameter
TCachePageStatePersister
TClientScriptManager
TClientSideOptions
TCommandEventParameter
TCompositeControl
TCompositeLiteral
TControl
TControlAdapter
TControlCollection
TEmptyControlCollection
TForm
THead
THtmlWriter
TPage
TPageStateFormatter
TPageStatePersister
TSessionPageStatePersister
TTemplate
TTemplateControl
TTemplateManager
TTextProcessor
TTheme
TThemeManager

Keyword

# Class TTemplateControl

    TComponent
       |
       --TApplicationComponent
          |
          --TControl
             |
             --TCompositeControl
                |
                --TTemplateControl

#### Direct Known Sub-classes:

TPage , TDataRenderer , TScaffoldBase

TTemplateControl class.

TTemplateControl is the base class for all controls that use templates. By default, a control template is assumed to be in a file under the same directory with the control class file. They have the same file name and different extension name. For template file, the extension name is ".tpl".

Since: 3.0
Author: Qiang Xue <qiang.xue@gmail.com>

Constants Inherited From TControl

AUTOMATIC_ID_PREFIX, CLIENT_ID_SEPARATOR, CS_CHILD_INITIALIZED, CS_CONSTRUCTED, CS_INITIALIZED, CS_LOADED, CS_PRERENDERED, CS_STATE_LOADED, ID_FORMAT, ID_SEPARATOR, IS_CHILD_CREATED, IS_CREATING_CHILD, IS_DISABLE_THEMING, IS_DISABLE_VIEWSTATE, IS_ID_SET, IS_SKIN_APPLIED, IS_STYLESHEET_APPLIED, RF_ADAPTER, RF_AUTO_BINDINGS, RF_CHILD_STATE, RF_CONTROLS, RF_CONTROLSTATE, RF_DATA_BINDINGS, RF_EVENTS, RF_NAMED_CONTROLS, RF_NAMED_CONTROLS_ID, RF_NAMED_OBJECTS, RF_SKIN_ID,

Method Summary
void | createChildControls () Creates child controls.
boolean | getIsSourceTemplateControl ()
TTemplateControl|null | getMaster ()
string | getMasterClass ()
ITemplate|null | getTemplate () Returns the template object associated with this control object.
string | getTemplateDirectory ()
protected void | initRecursive ( TControl $namingContainer) Performs the OnInit step for the control and all its child controls.
void | injectContent ( string $id, TContent $content) Injects all content controls (and their children) to the corresponding content placeholders.
protected ITemplate | loadTemplate () Loads the template associated with this control class.
void | registerContent ( string $id, TContent $object) Registers a content control.
void | registerContentPlaceHolder ( string $id, TContentPlaceHolder $object) Registers a content placeholder to this template control.
void | setMasterClass ( string $value)
void | setTemplate ( ITemplate $value) Sets the parsed template.

Methods Inherited From TCompositeControl
TCompositeControl::initRecursive()

Methods Inherited From TControl

TControl::addedControl(), TControl::addParsedObject(), TControl::addToPostDataLoader(), TControl::applyStyleSheetSkin(), TControl::autoBindProperty(), TControl::autoDataBindProperties(), TControl::bindProperty(), TControl::broadcastEvent(), TControl::bubbleEvent(), TControl::clearChildState(), TControl::clearControlState(), TControl::clearNamingContainer(), TControl::clearViewState(), TControl::convertUniqueIdToClientId(), TControl::createChildControls(), TControl::createControlCollection(), TControl::dataBind(), TControl::dataBindChildren(), TControl::dataBindProperties(), TControl::ensureChildControls(), TControl::findControl(), TControl::findControlsByID(), TControl::findControlsByType(), TControl::focus(), TControl::getAdapter(), TControl::getAllowChildControls(), TControl::getAttribute(), TControl::getAttributes(), TControl::getChildControlsCreated(), TControl::getClientID(), TControl::getControls(), TControl::getControlStage(), TControl::getControlState(), TControl::getCustomData(), TControl::getEnabled(), TControl::getEnableTheming(), TControl::getEnableViewState(), TControl::getHasAdapter(), TControl::getHasAttributes(), TControl::getHasChildInitialized(), TControl::getHasControls(), TControl::getHasInitialized(), TControl::getHasLoaded(), TControl::getHasLoadedPostData(), TControl::getHasPreRendered(), TControl::getID(), TControl::getNamingContainer(), TControl::getPage(), TControl::getParent(), TControl::getRegisteredObject(), TControl::getSkinID(), TControl::getSourceTemplateControl(), TControl::getTemplateControl(), TControl::getUniqueID(), TControl::getViewState(), TControl::getVisible(), TControl::hasAttribute(), TControl::initRecursive(), TControl::isDescendentOf(), TControl::isObjectRegistered(), TControl::loadRecursive(), TControl::loadState(), TControl::loadStateRecursive(), TControl::onDataBinding(), TControl::onInit(), TControl::onLoad(), TControl::onPreRender(), TControl::onUnload(), TControl::preRenderRecursive(), TControl::raiseBubbleEvent(), TControl::registerObject(), TControl::removeAttribute(), TControl::removedControl(), TControl::render(), TControl::renderChildren(), TControl::renderControl(), TControl::saveState(), TControl::saveStateRecursive(), TControl::setAdapter(), TControl::setAttribute(), TControl::setChildControlsCreated(), TControl::setControlStage(), TControl::setControlState(), TControl::setCustomData(), TControl::setEnabled(), TControl::setEnableTheming(), TControl::setEnableViewState(), TControl::setID(), TControl::setPage(), TControl::setSkinID(), TControl::setTemplateControl(), TControl::setViewState(), TControl::setVisible(), TControl::trackViewState(), TControl::traverseChildControls(), TControl::unbindProperty(), TControl::unloadRecursive(), TControl::unregisterObject(), TControl::__get()

Methods Inherited From TApplicationComponent
TApplicationComponent::getApplication(), TApplicationComponent::getRequest(), TApplicationComponent::getResponse(), TApplicationComponent::getService(), TApplicationComponent::getSession(), TApplicationComponent::getUser(), TApplicationComponent::publishAsset(), TApplicationComponent::publishFilePath()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constant Summary
string | EXT_TEMPLATE | template file extension.

Method Details

## createChildControls

public void createChildControls | ()

Creates child controls.

This method is overridden to load and instantiate control template. This method should only be used by framework and control developers.

Output
Exception

## getIsSourceTemplateControl

public boolean getIsSourceTemplateControl | ()

Output
boolean | whether this control is a source template control. A source template control loads its template from external storage, such as file, db, rather than from within another template.
Exception

## getMaster

public TTemplateControl|null getMaster | ()

Output
TTemplateControl|null | master control associated with this control, null if none
Exception

## getMasterClass

public string getMasterClass | ()

Output
string | master class name (in namespace form)
Exception

## getTemplate

public ITemplate|null getTemplate | ()

Returns the template object associated with this control object.

Output
ITemplate|null | the parsed template, null if none
Exception

## getTemplateDirectory

public string getTemplateDirectory | ()

Output
string | the directory containing the template. Empty if no template available.
Exception

## initRecursive

protected void initRecursive | (TControl $namingContainer )

Performs the OnInit step for the control and all its child controls.

This method overrides the parent implementation by ensuring child controls are created first, and if master class is set, master will be applied. Only framework developers should use this method.

Input
TControl | $namingContainer | the naming container control
Output
Exception

## injectContent

public void injectContent | (string $id , TContent $content )

Injects all content controls (and their children) to the corresponding content placeholders.

This method should only be used by framework and control developers.

Input
string | $id | ID of the content control
TContent | $content | the content to be injected
Output
Exception

## loadTemplate

protected ITemplate loadTemplate | ()

Loads the template associated with this control class.

Output
ITemplate | the parsed template structure
Exception

## registerContent

public void registerContent | (string $id , TContent $object )

Registers a content control.

Input
string | $id | ID of the content
TContent | $object |
Output
Exception

## registerContentPlaceHolder

public void registerContentPlaceHolder | (string $id , TContentPlaceHolder $object )

Registers a content placeholder to this template control.

This method should only be used by framework and control developers.

Input
string | $id | placeholder ID
TContentPlaceHolder | $object | placeholder control
Output
Exception

## setMasterClass

public void setMasterClass | (string $value )

Input
string | $value | master control class name (in namespace form)
Output
Exception

## setTemplate

public void setTemplate | (ITemplate $value )

Sets the parsed template.

Note, the template will be applied to the whole control class. This method should only be used by framework and control developers.

Input
ITemplate | $value | the parsed template
Output
Exception

Constant Details

### EXT_TEMPLATE

template file extension.

#### Type:

string

#### Value:

'.tpl'